--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create a table with check constraints and insert good and bad values
--

DROP TABLE T1;

CREATE TABLE T1 
 (
 DEPTNO INT,
 SALARY INT CHECK (SALARY BETWEEN 10000 and 20000)
 );

-- Good insert

INSERT INTO T1 VALUES (1,15000);

-- Bad insert because of contraints

INSERT INTO T1 VALUES (2,25000);

QUIT;