--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create the Employee table with defaults
--

DROP TABLE EMPLOYEE;

CREATE TABLE EMPLOYEE
  (
  ID         SMALLINT NOT NULL,
  NAME       VARCHAR(9) NOT NULL,
  DEPT       SMALLINT,
  HIREDATE   DATE NOT NULL WITH DEFAULT CURRENT_DATE, 
  SALARY     DECIMAL(7,2) NOT NULL DEFAULT 10000.00
  );

QUIT;