--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create two tables with RI relationships
--

DROP TABLE RI_EMPLOYEE;
DROP TABLE RI_DEPT;

CREATE TABLE RI_DEPT
  (
  DEPTNO INT NOT NULL PRIMARY KEY,
  DESCRIPTION VARCHAR(10)
  );

CREATE TABLE RI_EMPLOYEE
  (
  EMPL_ID INT,
  NAME VARCHAR(10),
  WORKDEPT INT,
  FOREIGN KEY(WORKDEPT) REFERENCES RI_DEPT(DEPTNO)
  );	

QUIT;