--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create a view with the Employee and Department tables
--

DROP VIEW EMPLDEPT;

CREATE VIEW EMPLDEPT AS
  (
  SELECT EMPL.NAME, DEPT.DESCR 
    FROM EMPL, DEPT
  WHERE
    EMPL.DEPTNO = DEPT.DEPTNO AND
    EMPL.DEPTNO = 3
  );

SELECT * FROM EMPLDEPT;

QUIT;