--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Eliminating Duplicates
--

-- See duplicate values

SELECT MONTH(PRODUCTION_START) AS OPENING 
  FROM PRODUCTIONS;

-- Eliminate Duplicates with DISTINCT

SELECT 
  DISTINCT MONTH(PRODUCTION_START) AS OPENING 
FROM
  PRODUCTIONS
ORDER BY OPENING;

-- Count function 

SELECT 
  COUNT(MONTH(PRODUCTION_START)) 
FROM
  PRODUCTIONS;

-- Distinct Counts

SELECT 
  COUNT(DISTINCT MONTH(PRODUCTION_START)) 
FROM
  PRODUCTIONS;

QUIT;