--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Exists function
--

SELECT * FROM EMPL_BONUSES E
WHERE
  EXISTS 
   (SELECT * FROM BONUSES B 
    WHERE 
      B.NAME = E.NAME AND
      B.BONUS IS NOT NULL 
   );

-- Exists alternative

SELECT * FROM EMPL_BONUSES E
WHERE
  (SELECT COUNT(*) FROM BONUSES B 
    WHERE 
      B.NAME = E.NAME AND
      B.BONUS IS NOT NULL
  ) > 0;

-- Not exists

SELECT * FROM EMPL_BONUSES E
WHERE
  NOT EXISTS 
   (SELECT * FROM BONUSES B 
    WHERE 
      B.NAME = E.NAME AND
      B.BONUS IS NOT NULL 
   );


QUIT;