--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Using HAVING clause to limit results on grouping values
--

-- Show all department counts

SELECT DEPTNO, COUNT(*) FROM EMPL
GROUP BY DEPTNO;

-- Show all departments who have more than 1 employee

SELECT DEPTNO, COUNT(*) FROM EMPL
GROUP BY DEPTNO
  HAVING COUNT(*) > 1;

QUIT;