--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Simple Joins with some logic
--

-- Join that retrieves too many records because of Cartesian product

SELECT 
  EMPL.NAME, EMPL.DEPTNO, DEPT.DESCR
FROM 
  EMPL, DEPT
WHERE
  EMPL.DEPTNO = 1;

-- Proper Join between the tables

SELECT 
  EMPL.NAME, EMPL.DEPTNO, DEPT.DESCR
FROM 
  EMPL, DEPT
WHERE
  EMPL.DEPTNO = 1 AND
  EMPL.DEPTNO = DEPT.DEPTNO; 

QUIT;