--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- OR, Between, IN in SQL logic
--

-- OR

SELECT PRODUCTION_TITLE, PRODUCTION_START FROM PRODUCTIONS
WHERE 
  MONTH(PRODUCTION_START) = 7 OR
  MONTH(PRODUCTION_START) = 8 OR
  MONTH(PRODUCTION_START) = 9 OR
  MONTH(PRODUCTION_START) = 10;

-- Between

SELECT PRODUCTION_TITLE, PRODUCTION_START FROM PRODUCTIONS
WHERE 
  MONTH(PRODUCTION_START) BETWEEN 7 AND 10;

-- IN

SELECT PRODUCTION_TITLE, PRODUCTION_START FROM PRODUCTIONS
WHERE 
  MONTH(PRODUCTION_START) IN (7,8,9,10);

QUIT;