--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create the Department and Employee table
--

DROP TABLE EMPLOYEE;
DROP TABLE DEPARTMENT;

CREATE TABLE DEPARTMENT
  (
  Deptnumb   SMALLINT,
  Deptname   VARCHAR(20),
  Mgrno      SMALLINT
  );
 
CREATE TABLE EMPLOYEE
  (
  ID         SMALLINT,
  Name       VARCHAR(9),
  Dept       SMALLINT,
  Hiredate   DATE, 
  Salary     DECIMAL(7,2)
  );

QUIT;