--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Create EMPL and DEPT tables.
--

DROP VIEW GETEMPCNT;
DROP VIEW EMPLDEPT;
DROP TABLE EMPL;
DROP TABLE DEPT;

CREATE TABLE EMPL
  (
  NAME VARCHAR(8), 
  DEPTNO INT, 
  SALARY INT
  );

INSERT INTO EMPL VALUES
  ('George',1,10000),('Paul',2,15000),('Dan',3,30000);

CREATE TABLE DEPT 
  (
  DEPTNO INT, 
  DESCR VARCHAR(10)
  );

INSERT INTO DEPT VALUES (1,'Plumbing'),(2,'Accounting'),(3,'Sales');

QUIT;