--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Delete data
--

SELECT * FROM WORKERS WHERE DEPTNO = 1;

-- Delete only workers in department 1

DELETE FROM WORKERS
  WHERE DEPTNO = 1;

SELECT * FROM WORKERS WHERE DEPTNO = 1;

-- Show average salary across all departments

SELECT 
  (SELECT AVG(SALARY) FROM WORKERS) AS AVG_SALARY,
   WORKERS.* 
FROM WORKERS;

DELETE FROM WORKERS
  WHERE SALARY > (SELECT AVG(SALARY) FROM WORKERS);

QUIT;