--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Derived columns
--

-- Using a position location on a sort

SELECT NAME, (20000-SALARY)*0.10 FROM EMPL
WHERE
  SALARY < 20000
ORDER BY 2;

-- Using a derived column name

SELECT NAME, (20000-SALARY)*0.10 AS RAISE FROM EMPL
WHERE
  SALARY < 20000
ORDER BY RAISE;

QUIT;