--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Grouping results
--

-- Average seats available by production

SELECT PRODUCTION_NO, AVG(PERFORMANCE_SEATS) FROM PERFORMANCES
GROUP BY PRODUCTION_NO;

-- Minimum, Maximum, and Average # of seats per production

SELECT PRODUCTION_NO, MIN(PERFORMANCE_SEATS) AS SEATS_MIN,
       MAX(PERFORMANCE_SEATS) AS SEATS_MAX, 
       AVG(PERFORMANCE_SEATS) AS SEATS_AVG
FROM PERFORMANCES
GROUP BY PRODUCTION_NO;


QUIT;