--
-- Apache Derby - Off to the Races
-- Copyright (c) 2005 George Baklarz, Paul Zikopoulos, Dan Scott
--

connect 'jdbc:derby:YMLD;create=true;user=APP;password=APP';

--
-- Nested Tables
--

-- Average Salary

SELECT AVG(SALARY) FROM WORKERS;

-- Average Salary by Department

SELECT DEPTNO, AVG(SALARY) FROM WORKERS
GROUP BY DEPTNO;

-- Average of Average

SELECT AVG(DEPT_AVERAGE) FROM
  (
  SELECT DEPTNO, AVG(SALARY) AS DEPT_AVERAGE FROM WORKERS
  GROUP BY DEPTNO
  ) AS AVGCALC;

QUIT;